[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.Expand

Expands the specified tree node and updates the scroll bars for the control.

## Declaration

Source position: comctrls.pp line 3618

`protected procedure TCustomTreeView.Expand(`
`Node: TTreeNode`
`); virtual;`

## Arguments

`Node` |  | Tree node expanded in the method.

## Description

Expand is a method used to expand the tree node specified in Node on the tree view control. Expand is called after when the TTreeNode instance in Node has updated its States property and notified the Items container of the change.

Expand updates the scroll bars for the control. The OnExpanded event handler is signalled (when assigned) to performs actions needed after the tree node has been expanded.